Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Class AuthSourceProperty

    java.lang.Object
      com.plumtree.remote.prc.ObjectProperty
          com.plumtree.remote.prc.AuthSourceProperty

public class AuthSourceProperty
extends ObjectProperty

An enumerated type used to describe the properties of Authentication Sources in the portal. Authentication Sources support all of the properties in `ObjectProperty` as well as the following properties.

Field Summary
`static AuthSourceProperty` | `AuthPartner` The name of the authentication partner.
`static AuthSourceProperty` | `AuthType` The type of authentication supported by this Authentication Source.
`static AuthSourceProperty` | `ConfigInfo` The configuration information for the Authentication Source.
`static AuthSourceProperty` | `EveryoneGroup` The name of the everyone group for this Authentication Source.
`static AuthSourceProperty` | `ImageUUID` The class ID of the image for the object.
`static AuthSourceProperty` | `PrefixString` The prefix string that is added to user names from this Authentication Source.
`static AuthSourceProperty` | `ProviderClassID` The class ID of the Authentication Source provider.
`static AuthSourceProperty` | `ServerAddress` The address of the Authentication Source server.
`static AuthSourceProperty` | `SupportsSync` Whether this Authentication Source supports user synchronization.
`static AuthSourceProperty` | `SyncType` The type of user synchronization supported by this Authentication Source.
`static AuthSourceProperty` | `WebServiceID` The ID of the Web Service with which the Authentication Source is associated.

Fields inherited from class com.plumtree.remote.prc.ObjectProperty
`ClassID, Created, Description, FolderID, IsLocalized, Language, LastModified, LastModifiedBy, Name, ObjectID, OwnerID, UUID`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ImageUUID

    public static final AuthSourceProperty ImageUUID

  The class ID of the image for the object.

### ProviderClassID

    public static final AuthSourceProperty ProviderClassID

  The class ID of the Authentication Source provider.

### ServerAddress

    public static final AuthSourceProperty ServerAddress

  The address of the Authentication Source server.

### ConfigInfo

    public static final AuthSourceProperty ConfigInfo

  The configuration information for the Authentication Source.

### AuthType

    public static final AuthSourceProperty AuthType

  The type of authentication supported by this Authentication Source.

### SyncType

    public static final AuthSourceProperty SyncType

  The type of user synchronization supported by this Authentication Source.

### PrefixString

    public static final AuthSourceProperty PrefixString

  The prefix string that is added to user names from this Authentication Source.

### EveryoneGroup

    public static final AuthSourceProperty EveryoneGroup

  The name of the everyone group for this Authentication Source.

### AuthPartner

    public static final AuthSourceProperty AuthPartner

  The name of the authentication partner.

### SupportsSync

    public static final AuthSourceProperty SupportsSync

  Whether this Authentication Source supports user synchronization.

### WebServiceID

    public static final AuthSourceProperty WebServiceID

  The ID of the Web Service with which the Authentication Source is associated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.